Create Integration

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/integration

Integrations can be used to create collections of dashboards and datasets (by associating them to the Integration) and easily embed them. Each dashboard or dataset has its own access rights within this Integration. Next to that, dashboards associated to the Integration can be given a unique slug property to reference when embedding the dashboard using our embed libraries. Integrations can only be created and updated by Organization owners.

An Organization owner can create Integrations. Creating an Integration does not necessarily require parameters but you can provide the Integration with a name or login_provider_url.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized name of the integration.

login_provider_url STRING

URL of a login provider

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

user_id STRING

Identifier of the user who owns the integration.

Can be executed by:
Organization Owner
Can be associated to:
Securable
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "7d00f28c-64d6-467a-a101-2cc48f8b6f64",
  "name": {
    "en": "My demo integration"
  },
  "login_provider_url": null,
  "created_at": "2021-07-28T14:40:03.145Z",
  "updated_at": "2021-07-22T11:47:55.483Z",
  "user_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb"
}